Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class TieAccessControlListResolver

    java.lang.Object
      oracle.ifs.server.AccessControlListResolver
          oracle.ifs.server.TieAccessControlListResolver

All Implemented Interfaces:
  LooselyBoundedCacheable

    public class TieAccessControlListResolver

extends AccessControlListResolver

TieAccessControlListResolver allows the Oracle-defined behavior of the AccessControlListResolver class to be extended or overridden.

See Also:
  `AccessControlListResolver`
(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.server.AccessControlListResolver
`AccessControlListResolver.AccessControlEntryData, AccessControlListResolver.AccessEntry, AccessControlListResolver.NonconformingResolution, AccessControlListResolver.Resolution, AccessControlListResolver.ResolutionAccessKey, AccessControlListResolver.ResolutionGranteeEntry`

Field Summary

Fields inherited from class oracle.ifs.server.AccessControlListResolver
`m_AceDatas, m_AclId, m_IsResolved, m_Resolution, m_Service, MAX_ACCESS_COMBINATION_COUNT`

Constructor Summary
`TieAccessControlListResolver(S_LibraryService service, java.lang.Long id)` Constructs a TieAccessControlListResolver.

Method Summary

Methods inherited from class oracle.ifs.server.AccessControlListResolver
`added, addLevels, canPurge, checkForNullAccessLevel, ensureAces, forceResolution, getAccessControlEntryIds, getAccessControlEntrys, getAccessLevel, getAccessLevel, getAccessLevelFromAceSet, getAcl, getComponentAclIds, getComponentAcls, getGrantee, getId, getIsGrant, getLevelInfoFromData, getNonconformingResolution, hasDiscoverAccess, isDependentOnPermissionBundle, processResolutionGranteeEntry, removed, resolve, subtractLevels, updateAclDiscovererTable, updateAclDiscovererTableForComponentAcls, updateAclDiscovererTableForConformingAcl, updateAclDiscovererTableForNonconformingAcl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieAccessControlListResolver

    public TieAccessControlListResolver(S_LibraryService service,
                                        java.lang.Long id)
                                 throws IfsException

  Constructs a TieAccessControlListResolver.

  Parameters:
    `service` - the service
    `id` - the ACL Id
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD